org.apache.synapse.commons.beanstalk.enterprise

## Class EnterpriseBeanstalkView

- java.lang.Object
- - org.apache.synapse.commons.beanstalk.enterprise.EnterpriseBeanstalkView

- All Implemented Interfaces:
    EnterpriseBeanstalkViewMBean

      public class EnterpriseBeanstalkView
      extends java.lang.Object
      implements EnterpriseBeanstalkViewMBean

  MBean implementation class that enables monitoring/managing beanstalks via JMX.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanExpiredStubsNow()`
    `java.lang.String` | `getBeanstalkName()`
    `int` | `getCachedStatefulStubCount()`
    `int` | `getCachedStatelessStubCount()`
    `java.util.Map` | `getStatefulStubCacheLastAccessTimes()`
    `java.util.Map` | `getStatelessStubCacheLastAccessTimes()`
    `void` | `removeStatefulStub(java.lang.String className, java.lang.String sessionId)`
    `void` | `removeStatelessStub(java.lang.String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBeanstalkName

          public java.lang.String getBeanstalkName()

      Specified by:
        `getBeanstalkName` in interface `EnterpriseBeanstalkViewMBean`

    - #### getCachedStatelessStubCount

          public int getCachedStatelessStubCount()

      Specified by:
        `getCachedStatelessStubCount` in interface `EnterpriseBeanstalkViewMBean`

    - #### getCachedStatefulStubCount

          public int getCachedStatefulStubCount()

      Specified by:
        `getCachedStatefulStubCount` in interface `EnterpriseBeanstalkViewMBean`

    - #### getStatelessStubCacheLastAccessTimes

          public java.util.Map getStatelessStubCacheLastAccessTimes()

      Specified by:
        `getStatelessStubCacheLastAccessTimes` in interface `EnterpriseBeanstalkViewMBean`

    - #### getStatefulStubCacheLastAccessTimes

          public java.util.Map getStatefulStubCacheLastAccessTimes()

      Specified by:
        `getStatefulStubCacheLastAccessTimes` in interface `EnterpriseBeanstalkViewMBean`

    - #### cleanExpiredStubsNow

          public void cleanExpiredStubsNow()
                                    throws java.lang.Exception

      Specified by:
        `cleanExpiredStubsNow` in interface `EnterpriseBeanstalkViewMBean`
      Throws:
        `java.lang.Exception`

    - #### removeStatelessStub

          public void removeStatelessStub(java.lang.String className)

      Specified by:
        `removeStatelessStub` in interface `EnterpriseBeanstalkViewMBean`

    - #### removeStatefulStub

          public void removeStatefulStub(java.lang.String className,
                                         java.lang.String sessionId)

      Specified by:
        `removeStatefulStub` in interface `EnterpriseBeanstalkViewMBean`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.